-- #####################################################################################
-- ## Skript zum Vortrag <die schwierigen Kopfnsse mit T-SQL gelst - Version 2.0>   ##     
-- #####################################################################################
-- ## Dieses Skript legt die Objekte zru Aufgabe "Grillgutkette" an. Es wird durch    ##
-- ## weitere Skripte ergnzt, die in ihrer durchnummerierten Reihenfolge             ##
-- ## abzuarbeiten sind. Die Skripte passen zu den Aufgabenstellungen aus der         ##
-- ## zugehrigen Powerpoint-Prsentation vom selben Autor.                           ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Bitte dieses Skript niemals in einer Produktionsumgebung einsetzen, da          ##
-- ## Datenbankobjekte angelegt, ergnzt, gendert oder sogar gelscht werden!!!      ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Verwendung auf eigene Gefahr...                                                 ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Torsten Ahlemeyer, arelium GmbH        torsten.ahlemeyer@arelium.de             ##
-- #####################################################################################

-- "richtige" Datenbank auswhlen
USE [Workshop_Kopfnuesse]
GO


SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


-- ######################################################################################
-- Pivotieren
-- ######################################################################################

--SELECT NichtPivotierteSpalte, ErstePivotierteSpalte, ZweitePivotierteSpalte
--FROM
--    (SELECT Quelle)
--    AS query
--PIVOT
--(
--    Aggregationsfunktion(Spalte die aggregiert werden soll)
--FOR
--Spalte mit Werten, welche Spalten angezeigt werden sollen
--    IN (ErstePivotierteSpalte, ZweitePivotierteSpalte)
--) AS alias 


SELECT [GastName], [Wrstchen], [Steak(s)], [Maiskolben]
FROM
    (SELECT [GastName], [Bezeichnung], [Anzahl]
	FROM [Kette].[Grillgut])
    AS query
PIVOT
(
    MAX([Anzahl])
FOR
[Bezeichnung]
    IN ([Wrstchen], [Steak(s)], [Maiskolben])
) AS alias 

